//import QtQuick 1.0
import Qt 4.7

Rectangle {
    id: baseRectID
    width: 640
    height: 60
    color:Qt.rgba(150,150,150,0.5)
    //radius: 10
    border.color: "black"
    border.width: 1

    property int dragMax:0
    property int dragMin:dragMax-baseRectID.height

    signal signalOpenDialog()
    signal signalBack()
    signal signalNext()
    signal signalZoomIn()
    signal signalZoomOut()
    signal signalBack3D()
    signal signalAbout()
    signal signalClose()

    function hideMenu(){
        hideManuAnimationID.running=true
    }//hideMenu

    function setPageStatus(page,pageCount){pageStatusTextID.text=page+"/"+pageCount}

    function setProcessing(start){animateImageID.paused=start; animateImageID.visible=!start}

    NumberAnimation {id:hideManuAnimationID; target: baseRectID; property: "y"; to:  baseRectID.dragMax; duration: 200 }

        Rectangle{
        id:swipeRectID
        width: 60
        height: 60
        anchors.bottom: baseRectID.top; anchors.bottomMargin: -1
        anchors.right: baseRectID.right;anchors.rightMargin: 0
        color:Qt.rgba(150,150,150,0.5)
        radius: 5
        border.color: "black"
        border.width: 1

        MouseArea{
        id:mouseID
        anchors.fill: parent
        drag.target: baseRectID
        drag.axis: Drag.YAxis
        drag.minimumY:dragMin
        drag.maximumY: dragMax
        }//mouseArea
    }//swipeRectID

        Text{
        id: pageStatusTextID
        width: swipeRectID.width
        anchors.centerIn: swipeRectID
        color:"black"
        text:"menu"
        horizontalAlignment: Text.AlignHCenter
        font.bold: true
        font.pixelSize: 12
        font.italic: false
        Component.onCompleted: pdfObject.pageChanged.connect(baseRectID.setPageStatus)
        }// pageStatusTextID

        AnimatedImage{
            id:animateImageID
            source:"icon/loading6.gif"
            anchors.fill: swipeRectID
            playing:false
            visible: false
            onPausedChanged:  animateImageID.visible=animateImageID.paused
            Component.onCompleted: pdfObject.processing.connect(baseRectID.setProcessing)
        }//animateImageID


        Row{
            id:itemRowID
            anchors.centerIn: parent
            spacing: 10

            PdfMenuItem{
                id:openFileID
                imageSource: "icon/open.png"
                onClickedSignal: {signalOpenDialog(); }
            }//openFileID

            PdfMenuItem{
                id:backPageID
                imageSource: "icon/back.png"
                onClickedSignal: {signalBack()}
            }//backPageID
            PdfMenuItem{
                id:nextPageID
                imageSource: "icon/next.png"
                onClickedSignal: {signalNext()}
            }//nextPageID
            PdfMenuItem{
                id:zoomInID
                imageSource: "icon/zoom-in.png"
                onClickedSignal: {signalZoomIn()}
            }//zoomInID
            PdfMenuItem{
                id:zoomOutID
                imageSource: "icon/zoom-out.png"
                onClickedSignal: {signalZoomOut()}
            }//zoomOutID
            PdfMenuItem{
                id:back3dID
                imageSource: "icon/back3d.png"
                onClickedSignal: {signalBack3D()}
            }//back3dID
            PdfMenuItem{
                id:aboutID
                imageSource: "icon/about.png"
                onClickedSignal: {signalAbout()}
            }//aboutID
            PdfMenuItem{
                id:closeID
                imageSource: "icon/close.png"
                onClickedSignal: {signalClose()}
            }//closeID

        }//itemRowID

        onSignalBack3D:{hideMenu();pageStatusTextID.text="menu";pdfObject.startThread()}
        onSignalOpenDialog: {signalBack3D();hideMenu();;pageStatusTextID.text="menu"}
        onSignalAbout: {hideMenu();}

}//baseRectID
