//import QtQuick 1.0
import Qt 4.7
import Qt.labs.folderlistmodel 1.0

Rectangle {
    id:baseRectID
    width: 360
    height: 640

    FolderListModel{
        id: folderListModeLID
        folder: serviceObject.getLastPath()//"file:///C:/Users/Alex/Documents/"
        sortField: FolderListModel.Type
        showDotAndDotDot: true
        showOnlyReadable: true
        showDirs: true
        nameFilters: ["*.pdf"]
    }// folderListModeLID


  Component{
    id: delegateID
 Rectangle{
     id: itemDelegateID
     width: baseRectID.width
     height: 50
     color: "grey"
    Row{
    id: rowListID
    anchors.left: parent.left;anchors.leftMargin: 10
    spacing: 10
    Image{
  id: iconImageID
  width: itemDelegateID.height-5
  height:itemDelegateID.height-5
 fillMode: Image.PreserveAspectFit
 Component.onCompleted: if(folderListModeLID.isFolder(index)){iconImageID.source="icon/folder.png"}else{iconImageID.source="icon/pdf.png"}
  }//iconImageId
    Rectangle{
        id: textRectID
        width: itemDelegateID.width
        height:itemDelegateID.height
        color:"lightgrey"
      Text{
      id: textListId
      anchors.verticalCenter: textRectID.verticalCenter
      anchors.left: textRectID.left;anchors.leftMargin: 15
      text:fileName
      font.bold: true
      color:"black"
    }//textListID
    }//textRectID
    }//rowListID
MouseArea{
anchors.fill: parent
onClicked: {itemDelegateID.opacity=0.5;serviceObject.startVibro(30); if(folderListModeLID.isFolder(index)){folderListModeLID.folder=filePath;serviceObject.setLastPath(filePath);}
    else{baseRectID.destroy();pdfObject.openDocument(serviceObject.getFilePath(filePath));}}
}//MouseArea
    }//itemDelegateID
}//delegateID


  Component {
      id: highlightID
      Rectangle {
          width: baseRectID.width; height: 70
          color: "red"; radius: 5
          y:ListView.currentItem.y
          anchors.centerIn: parent
         Behavior on y {
              SpringAnimation {
                  spring: 3
                  damping: 0.2
              }
          }
      }
  }//highlightID

    ListView{
        id:listViewID
        anchors.fill: parent
        model:folderListModeLID
        delegate:delegateID
        //highlight: highlightID
//        highlightRangeMode: ListView.StrictlyEnforceRange
//        highlightFollowsCurrentItem: true
        focus:true
        spacing: 3
    }//listViewID


    Rectangle{
        id:closeRectID
        width: 100
        height: 60
        anchors.top: baseRectID.top;anchors.topMargin: 5
        anchors.right: baseRectID.right;anchors.rightMargin: 5
        color: "orange"
        radius: 20
        border.width: 2
        border.color: "black"
        opacity: 0.8
        Text{
            id:closeTextID
            anchors.centerIn: parent
            text:"CLOSE"
            font.bold: true
            font.pixelSize: 15
        }//closeTextID
        MouseArea{anchors.fill: parent;onClicked:{serviceObject.startVibro(30); baseRectID.destroy()}}
    }//closeRectID
Column{
    id:columnButtonID
    anchors.bottom: baseRectID.bottom; anchors.bottomMargin: 5
    anchors.right: baseRectID.right;anchors.rightMargin: 5
spacing: 20
    PdfMenuItem{
        id: homeItemID
        width: 100
        height: 100
        imageSource: "icon/home.png"
        onClickedSignal: {serviceObject.startVibro(30);folderListModeLID.folder=serviceObject.getHomePath()}
    }//homeItemID
    PdfMenuItem{
        id: upItemID
        width: 100
        height: 100
        imageSource: "icon/up.png"
        onClickedSignal: {serviceObject.startVibro(30);folderListModeLID.folder=serviceObject.getUpPath(folderListModeLID.folder)}
    }//homeItemID
//    PdfMenuItem{
//        id: downItemID
//        width: 100
//        height: 100
//        imageSource: "icon/home.png"
//        onClickedSignal: {serviceObject.startVibro(30);folderListModeLID.folder="file:///C:/"}
//    }//homeItemID
}//columnButtonID
}//baseRectID
